QGIS Application - Bug report #17653
3d: x-axis movements while holding right button should result in camera rotation
2017-12-08 03:10 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 25550
Description

Currently in QGIS 3d windows there's no way to rotate the camera view while keeping the camera position fixed. This would be a very
useful option, e.g. to allow users to position the camera at a certain point in the scene and then rotate the camera to see what's visible from
that point (e.g. view from top of a hill).

It's currently impossible to do this - the only rotation options are to rotate the camera position around the scene.

History

#1 - 2017-12-08 01:02 PM - Martin Dobias

Right mouse button is however already used for zooming in/out. Looking at Google Earth as a reference, right button is used for zoom in/out as well, and

the rotation of camera without moving it is possible with Ctrl + left button (or with Ctrl + arrow keys). Would that solution work for you?

#2 - 2017-12-27 03:12 PM - Saber Razmjooei

- Status changed from Open to Feedback

#3 - 2018-02-22 12:04 PM - Giovanni Manghi

Feedback requested.

#4 - 2018-08-25 04:34 PM - Giovanni Manghi

What is the status of this ticket?

#5 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
